Mailinglist Archive: opensuse (3536 mails)

< Previous Next >
[opensuse] How to install projectM for Amarok in SuSE11.1
Well I am lost and YaST2's software management utility is not giving me a solution to this... I want to use Amarok with the projectM visualization tool on my media center, which I recently upgraded to SuSE11.1. I had to stay with KDE3.5 however due to issues with getting my sound system up and running. (It failed under KDE4.0.)

I dunno if I am on the right track to getting projectM installed but here is what I have discovered and tried so far. When I was running SuSE10.3, projectM was supplied via a special repository at

http://software.opensuse.org/download/home:/wstephenson/openSUSE_10.3

(The Amarok website guided me to use this particular repository...)

so I first attempted to add the equivalent repository to the set of software repositories that Yast2 will use, i.e.

http://software.opensuse.org/download/home:/wstephenson/openSUSE_11.1

but to my chagrin I found that projectM was no longer supplied in this openSuSE_11.1 repository. (I checked via a browser and found that indeed this repository does exist.) So I decide to try and add the openSUSE_10.3 repository to the set of software repositories for Yast2 as well. (probably a dangerous move but I dunno how else to try....) Anywise that does allow Yast2 to find the projectM package but Yast2 still refuses to install it. It reports that there is no supplier of something called libftgl.so.0.
When I search for this, I found that there is an apparent newer version called libftgl.so.2 which comes from the libftgl2 package, but the projectM package will not accept it. In SuSE10.3, the libftgl.so.0 came from the ftgl package, and as can be guessed, in SuSE11.1 Yast2 does not know anything about the ftgl package!

So how do I proceed? Is there a way to find and install the ftgl package so that I can get libfrgl.so.0? Will this work under SuSE11.1? If not, (and I admit this seems dangerous!) how do I get projectM installed under SuSE11.1 so that it will work with Amarok?

Thanks in advance for any help to get me over this hurdle... Marc...




--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages